"use strict";
const command_1 = require("@oclif/command");
class TsJsonModelGen extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(TsJsonModelGen);
        const name = flags.outputDir || 'world';
        this.log(`hello ${name} from ./src/index.ts`);
        if (args.glob) {
            this.log(`you input --force and --file: ${args.glob}`);
        }
    }
}
TsJsonModelGen.description = 'Generate type script bindings from json model';
TsJsonModelGen.flags = {
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
    outputDir: command_1.flags.string({ char: 'o', description: 'Output directory for definitions' })
};
TsJsonModelGen.args = [{
        name: 'glob'
    }];
module.exports = TsJsonModelGen;
