"use strict";
const command_1 = require("@oclif/command");
class TsJsonSchemaGen extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(TsJsonSchemaGen);
        const name = flags.outputDir || 'world';
        this.log(`hello ${name} from ./src/index.ts`);
        if (args.glob) {
            this.log(`you input --force and --file: ${args.glob}`);
        }
    }
}
TsJsonSchemaGen.description = 'Generate type script bindings from json schema';
TsJsonSchemaGen.flags = {
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
    outputDir: command_1.flags.string({ char: 'o', description: 'Output directory for definitions' })
};
TsJsonSchemaGen.args = [{ name: 'glob' }];
module.exports = TsJsonSchemaGen;
