"use strict";
const command_1 = require("@oclif/command");
const index_1 = require("../index");
const glob = require('glob');
class TsJsonSchemaGen extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(TsJsonSchemaGen);
        const pattern = args.glob;
        const out = flags.outputDir || index_1.outputDir;
        const files = glob.sync(pattern);
        files.forEach((file) => this.log(`generate declarations : ${file}`));
        return files.map((file) => index_1.generateJsonSchema(file, out));
    }
}
TsJsonSchemaGen.description = 'Generate type script bindings from json schema';
TsJsonSchemaGen.flags = {
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
    outputDir: command_1.flags.string({ char: 'o', description: 'Output directory for definitions' })
};
TsJsonSchemaGen.args = [
    {
        name: 'glob',
        description: 'glob pattern',
        default: '**/*.schema.json',
    }
];
module.exports = TsJsonSchemaGen;
