"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const mkdirp = require('mkdirp');
const schemaCompiler = require('json-schema-to-typescript');
const jsonmodels = require('jsonmodels');
exports.outputDir = 'generated';
function generateJsonSchema(file, outputDir) {
    const base = path.dirname(file);
    const dir = `${outputDir}/${base}`;
    const name = path.basename(file, path.extname(file));
    const content = fs.readFileSync(file);
    const schema = JSON.parse(content);
    return schemaCompiler.compile(schema, name).then((ts) => {
        return mkdirp(dir, () => {
            return fs.writeFileSync(`${outputDir}/${file}.d.ts`, ts);
        });
    });
}
exports.generateJsonSchema = generateJsonSchema;
function generateJsonModel(file, outputDir) {
    const base = path.dirname(file);
    const dir = `${outputDir}/${base}`;
    const name = path.basename(file, path.extname(file));
    const content = fs.readFileSync(file);
    const model = JSON.parse(content);
    const schema = jsonmodels(model);
    return schemaCompiler.compile(schema, name).then((ts) => {
        return mkdirp(dir, () => {
            return fs.writeFileSync(`${outputDir}/${file}.d.ts`, ts);
        });
    });
}
exports.generateJsonModel = generateJsonModel;
